PUT

Bulk Sort

Rules can be reordered individually by setting the position attribute when performing an Update App Rule request.

However if you need to update a lot of rules then this could result in a lot of requests so you should consider using this Bulk Sort endpoint instead.

Resource URL

https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/sort

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

Sample Request Body

The request body must contain an array of App Rule IDs in the desired order.

All App Rules must be included to do a bulk sort. If you dont supply all of the IDs you will get an error.

[
  196671,
  196670,
  196672,
  196676,
  197758,
  ...
]
```html

<h2>Sample Responses</h2>
<div class="tab-group">
<ul class="tab-links">
<li class="t-link status-200 active" data-tab="1">200 OK</li>
<li class="t-link status-401" data-tab="2">401 Unauthorized</li>
<li class="t-link status-422" data-tab="3">422 Unprocessable Entity</li>
</ul>
<div class="tab-views">
<div class="t-view active" data-tab="1">

On success a complete list of ordered rules is returned.

```javascript
[
  196671,
  196670,
  196672,
  196676,
  197758,
  ...
]

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Indicates that not all rule IDs were included in the request.

{
    "code": 422,
    "message": "Validation Failed",
    "errors": [
        {
            "field": "default",
            "message": [
                "Sorting list must contain all mapping IDs"
            ]
        }
    ]
}

Postman Collection

Run In Postman

The App Rules API Postman Collections are nested in the Apps API Collection folder in the Rules folder.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Bulk Sort App Rules

curl 'https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/sort' \
-X PUT \
-H "Authorization: bearer <access_token>"
-H "Content-Type: application/json" \
-d '[196671,196670,196672,196676,197758]'